# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

%global barename agent-base

Name:               nodejs-agent-base
Version:            1.0.1
Release:            1%{?dist}
Summary:            Turn a function into an `http.Agent` instance

Group:              Development/Libraries
License:            MIT
URL:                https://www.npmjs.org/package/agent-base
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6



%if 0%{?enable_tests}
BuildRequires:      npm(mocha)
%endif


%description
This module provides an http.Agent generator. That is, you pass it an async
callback function, and it returns a new http.Agent instance that will invoke
the given callback function when sending outbound HTTP requests.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/agent-base
cp -pr package.json agent.js \
    %{buildroot}%{nodejs_sitelib}/agent-base

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
mocha --reporter spec
%endif


%files
%doc README.md
%{nodejs_sitelib}/agent-base/

%changelog
* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 1.0.1-1
- Initial packaging for Fedora.
